List correlation jobs linked to a target
GET/targets/:target_id/integrations/snyk-sast/jobs/
Request
Path Parameters
target_id stringrequired
Query Parameters
length integer
Number of results to return per page.
ordering string
Which field to use when ordering the results.
page integer
A page number within the paginated result set.
search string
A search term.
Responses
- 200
- 400
- 401
- 403
- 500
- application/json
- Schema
- Example (from schema)
Schema
Array [
pending- Pendingrunning- Runningcompleted- Completedfailed- Failedunknown- Unknownretrying_analysis- Retry]
count integer
Total number of results.
page_total integer
Total number of pages.
page integer
Number of the current page.
The first page is 1.
Defaults to 1 if no specific page is requested.
length integer
Number of results returned per page.
results
object[]
id stringrequired
A unique Base58 value identifying this object.
state stringrequired
Possible values: [pending, running, completed, failed, unknown, retrying_analysis]
job_id uuidrequired
created_at date-timenullablerequired
{
"count": 6,
"page_total": 1,
"page": 1,
"length": 10,
"results": [
{
"id": "string",
"state": "pending",
"job_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2024-07-29T15:51:28.071Z"
}
]
}
- application/json
- Schema
- Example (from schema)
Schema
error string
{
"error": "Invalid JWT."
}
- application/json
- Schema
- Example (from schema)
Schema
detail string
{
"detail": "Incorrect authentication credentials."
}
- application/json
- Schema
- Example (from schema)
Schema
detail string
{
"detail": "You do not have permission to perform this action."
}
- application/json
- Schema
- Example (from schema)
Schema
detail string
{
"detail": "Unexpected error while handling your request."
}
Loading...